var fun_map_update = Scene_Map.prototype.update;//声明一个变量
Scene_Map.prototype.update = function() {
    fun_map_update.call(this);
    if( !this.showHp ){//!是‘不’的意思
      this.showHp = new Sprite( new Bitmap( 400,200 ) )//显示一个精灵，是位图横400高200
      this.showHp.x = 10;
      this.showHp.y = -75;
      this.addChild( this.showHp )//把精灵添加到地图场景中
    }else{
      this.showHp.bitmap.fontSize = 24;//设置精灵的字体大小
      this.showHp.bitmap.clear();//清空精灵的内容
      this.showHp.bitmap.textColor = '#FFFF00';
      this.showHp.bitmap.drawText( $gameParty.members()[0]._name, 0, 0, 400, 200, 'left' );//在精灵上绘制玩家角色的名字，位置为左上角
      this.showHp.bitmap.textColor = '#FFFFFF';
      this.showHp.bitmap.drawText( '生命值:'+$gameParty.members()[0]._hp+'/'+$gameParty.members()[0].mhp, 0, 24, 400, 200, 'left' );
      this.showHp.bitmap.textColor = '#2CEE00';
      this.showHp.bitmap.drawText( '魔法值:'+$gameParty.members()[0]._mp+'/'+$gameParty.members()[0].mmp, 0, 48, 400, 200, 'left' );
    }
};